BSONObject
Date: 2015-03-03

org.bson

## Interface BSONObject

- All Known Implementing Classes:
    BasicBSONList, BasicBSONObject, IfxBSONObject

      public interface BSONObject

  A key-value map that can be saved to the database.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsField(java.lang.String s)` Checks if this object contains a field with the given name.
    `boolean` | `containsKey(java.lang.String s)` Deprecated.
    `java.lang.Object` | `get(java.lang.String key)` Gets a field from this object by a given name.
    `java.util.Set<java.lang.String>` | `keySet()` Returns this object's fields' names
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object v)` Sets a name/value pair in this object.
    `void` | `putAll(BSONObject o)` Sets all key/value pairs from an object into this object
    `void` | `putAll(java.util.Map<java.lang.String,java.lang.Object> m)` Sets all key/value pairs from a map into this object
    `java.lang.Object` | `removeField(java.lang.String key)` Removes a field with a given name from this object.
    `java.util.Map<java.lang.String,java.lang.Object>` | `toMap()` Returns a map representing this BSONObject.

- - ### Method Detail

    - #### put

          java.lang.Object put(java.lang.String key,
                             java.lang.Object v)

      Sets a name/value pair in this object.
      Parameters:
        `key` - Name to set
        `v` - Corresponding value
      Returns:
        `v`

    - #### putAll

          void putAll(BSONObject o)

      Sets all key/value pairs from an object into this object
      Parameters:
        `o` - the object

    - #### putAll

          void putAll(java.util.Map<java.lang.String,java.lang.Object> m)

      Sets all key/value pairs from a map into this object
      Parameters:
        `m` - the map

    - #### get

          java.lang.Object get(java.lang.String key)

      Gets a field from this object by a given name.
      Parameters:
        `key` - The name of the field fetch
      Returns:
        The field, if found

    - #### toMap

          java.util.Map<java.lang.String,java.lang.Object> toMap()

      Returns a map representing this BSONObject.
      Returns:
        the map

    - #### removeField

          java.lang.Object removeField(java.lang.String key)

      Removes a field with a given name from this object.
      Parameters:
        `key` - The name of the field to remove
      Returns:
        The value removed from this object

    - #### containsKey

          @Deprecated
          boolean containsKey(java.lang.String s)

      Deprecated.
      Deprecated
      Parameters:
        `s` -
      Returns:
        True if the key is present

    - #### containsField

          boolean containsField(java.lang.String s)

      Checks if this object contains a field with the given name.
      Parameters:
        `s` - Field name for which to check
      Returns:
        True if the field is present

    - #### keySet

          java.util.Set<java.lang.String> keySet()

      Returns this object's fields' names
      Returns:
        The names of the fields in this object